Bug 18377 - BC: Source compiler doesn't generate type assertions
BC: Source compiler doesn't generate type assertions
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: java
4.0.0
: P2 enhancement
: 4.3.0
Assigned To: Not yet assigned to anyone
:
Depends on: 28067
Blocks: 12725
  Show dependency treegraph
 
Reported: 2004-11-08 17:18 UTC by Bryce McKinlay
Modified: 2007-01-09 20:46 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-05-13 11:58:54


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce McKinlay 2004-11-08 17:18:54 UTC
GCJ now generate type assertions when compiling from bytecode, but not when
compiling from source code. 

The source front-end needs to be updated to call add_type_assertion() when
implicit type conversions occur.
Comment 1 Tom Tromey 2007-01-09 20:46:40 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.